FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=19+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.19.0-rc.2+aa12fbe OS_GIT_COMMIT=aa12fbe OS_GIT_VERSION=4.6.0-202104221811.p0-aa12fbe SOURCE_DATE_EPOCH=1612443981 SOURCE_GIT_COMMIT=aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42 SOURCE_GIT_TAG=aa12fbe3 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
WORKDIR /go/src/github.com/openshift/cluster-policy-controller
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20210422.183047
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=19+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.19.0-rc.2+aa12fbe OS_GIT_COMMIT=aa12fbe OS_GIT_VERSION=4.6.0-202104221811.p0-aa12fbe SOURCE_DATE_EPOCH=1612443981 SOURCE_GIT_COMMIT=aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42 SOURCE_GIT_TAG=aa12fbe3 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
COPY --from=builder /go/src/github.com/openshift/cluster-policy-controller/cluster-policy-controller /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift Cluster Policy Controller Command" \
        io.k8s.description="OpenShift is a platform for developing, building, and deploying containerized applications." \
        io.openshift.tags="openshift,cluster-policy-controller" \
        name="openshift/ose-cluster-policy-controller" \
        com.redhat.component="ose-cluster-policy-controller-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202104221811.p0" \
        io.openshift.build.commit.id="aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-policy-controller" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-policy-controller/commit/aa12fbe31eb4704d221ddcbc245fd4b2f7d45a42" \
        version="v4.6.0"

